Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v1
Class PutPatientResponse

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v1.PutPatientResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:10:31+02:00",
               comments="JAXB RI v2.3.6")
    public class PutPatientResponse

extends Object
implements Serializable

Java class for PutPatientResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PutPatientResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="response" type="{http://www.ehealth.fgov.be/hubservices/core/v1}ResponseType"/>
             <element name="acknowledge" type="{http://www.ehealth.fgov.be/hubservices/core/v1}AcknowledgeType"/>
             <element name="patient" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}personType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`PutPatientResponse()`

Method Summary
`AcknowledgeType` | `getAcknowledge()` Gets the value of the acknowledge property.
`PersonType` | `getPatient()` Gets the value of the patient property.
`ResponseType` | `getResponse()` Gets the value of the response property.
`void` | `setAcknowledge(AcknowledgeType value)` Sets the value of the acknowledge property.
`void` | `setPatient(PersonType value)` Sets the value of the patient property.
`void` | `setResponse(ResponseType value)` Sets the value of the response property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PutPatientResponse

    public PutPatientResponse()

Method Detail

### getResponse

    public ResponseType getResponse()

  Gets the value of the response property.

  Returns:
    possible object is `ResponseType`

### setResponse

    public void setResponse(ResponseType value)

  Sets the value of the response property.

  Parameters:
    `value` - allowed object is `ResponseType`

### getAcknowledge

    public AcknowledgeType getAcknowledge()

  Gets the value of the acknowledge property.

  Returns:
    possible object is `AcknowledgeType`

### setAcknowledge

    public void setAcknowledge(AcknowledgeType value)

  Sets the value of the acknowledge property.

  Parameters:
    `value` - allowed object is `AcknowledgeType`

### getPatient

    public PersonType getPatient()

  Gets the value of the patient property.

  Returns:
    possible object is `PersonType`

### setPatient

    public void setPatient(PersonType value)

  Sets the value of the patient property.

  Parameters:
    `value` - allowed object is `PersonType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.